
-- --------------------------------------------------------

--
-- 表的结构 `oc_order`
--

CREATE TABLE `oc_order` (
  `order_id` int NOT NULL,
  `invoice_no` int NOT NULL DEFAULT '0',
  `invoice_prefix` varchar(26) NOT NULL,
  `store_id` int NOT NULL DEFAULT '0',
  `store_name` varchar(64) NOT NULL,
  `store_url` varchar(255) NOT NULL,
  `customer_id` int NOT NULL DEFAULT '0',
  `customer_group_id` int NOT NULL DEFAULT '0',
  `firstname` varchar(32) NOT NULL,
  `lastname` varchar(32) NOT NULL,
  `email` varchar(96) NOT NULL,
  `telephone` varchar(32) NOT NULL,
  `fax` varchar(32) NOT NULL,
  `custom_field` text NOT NULL,
  `payment_firstname` varchar(32) NOT NULL,
  `payment_lastname` varchar(32) NOT NULL,
  `payment_company` varchar(60) NOT NULL,
  `payment_address_1` varchar(128) NOT NULL,
  `payment_address_2` varchar(128) NOT NULL,
  `payment_city` varchar(128) NOT NULL,
  `payment_postcode` varchar(10) NOT NULL,
  `payment_country` varchar(128) NOT NULL,
  `payment_country_id` int NOT NULL,
  `payment_zone` varchar(128) NOT NULL,
  `payment_zone_id` int NOT NULL,
  `payment_address_format` text NOT NULL,
  `payment_custom_field` text NOT NULL,
  `payment_method` varchar(128) NOT NULL,
  `payment_code` varchar(128) NOT NULL,
  `shipping_firstname` varchar(32) NOT NULL,
  `shipping_lastname` varchar(32) NOT NULL,
  `shipping_company` varchar(40) NOT NULL,
  `shipping_address_1` varchar(128) NOT NULL,
  `shipping_address_2` varchar(128) NOT NULL,
  `shipping_city` varchar(128) NOT NULL,
  `shipping_postcode` varchar(10) NOT NULL,
  `shipping_country` varchar(128) NOT NULL,
  `shipping_country_id` int NOT NULL,
  `shipping_zone` varchar(128) NOT NULL,
  `shipping_zone_id` int NOT NULL,
  `shipping_address_format` text NOT NULL,
  `shipping_custom_field` text NOT NULL,
  `shipping_method` varchar(128) NOT NULL,
  `shipping_code` varchar(128) NOT NULL,
  `comment` text NOT NULL,
  `total` decimal(15,4) NOT NULL DEFAULT '0.0000',
  `order_status_id` int NOT NULL DEFAULT '0',
  `affiliate_id` int NOT NULL,
  `commission` decimal(15,4) NOT NULL,
  `marketing_id` int NOT NULL,
  `tracking` varchar(64) NOT NULL,
  `language_id` int NOT NULL,
  `currency_id` int NOT NULL,
  `currency_code` varchar(3) NOT NULL,
  `currency_value` decimal(15,8) NOT NULL DEFAULT '1.00000000',
  `ip` varchar(40) NOT NULL,
  `forwarded_ip` varchar(40) NOT NULL,
  `user_agent` varchar(255) NOT NULL,
  `accept_language` varchar(255) NOT NULL,
  `date_added` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `mode` varchar(5) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- 转存表中的数据 `oc_order`
--

INSERT INTO `oc_order` (`order_id`, `invoice_no`, `invoice_prefix`, `store_id`, `store_name`, `store_url`, `customer_id`, `customer_group_id`, `firstname`, `lastname`, `email`, `telephone`, `fax`, `custom_field`, `payment_firstname`, `payment_lastname`, `payment_company`, `payment_address_1`, `payment_address_2`, `payment_city`, `payment_postcode`, `payment_country`, `payment_country_id`, `payment_zone`, `payment_zone_id`, `payment_address_format`, `payment_custom_field`, `payment_method`, `payment_code`, `shipping_firstname`, `shipping_lastname`, `shipping_company`, `shipping_address_1`, `shipping_address_2`, `shipping_city`, `shipping_postcode`, `shipping_country`, `shipping_country_id`, `shipping_zone`, `shipping_zone_id`, `shipping_address_format`, `shipping_custom_field`, `shipping_method`, `shipping_code`, `comment`, `total`, `order_status_id`, `affiliate_id`, `commission`, `marketing_id`, `tracking`, `language_id`, `currency_id`, `currency_code`, `currency_value`, `ip`, `forwarded_ip`, `user_agent`, `accept_language`, `date_added`, `date_modified`, `mode`) VALUES
(1, 0, 'INV-2013-00', 0, 'DV Test', 'http://18.217.214.174/', 1, 1, 'david', 'lee', '1837794505@qq.com', '12345678', '', '', 'david', 'lee', '', '18480 arguiro st.', '', 'rowland heights', '91748', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cash On Delivery', 'cod', 'david', 'lee', '', '18480 arguiro st.', '', 'rowland heights', '91748', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Flat Shipping Rate', 'flat.flat', '', '785.9900', 1, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '218.247.40.115', '', 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_2_3 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/13.0.3 Mobile/15E148 Safari/604.1', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-01-20 14:55:23', '2021-01-20 14:55:45', ''),
(2, 0, 'INV-2013-00', 0, 'DV Test', 'http://18.217.214.174/', 1, 1, 'david', 'lee', '1837794505@qq.com', '12345678', '', '', 'david', 'lee', '', '18480 arguiro st.', '', 'rowland heights', '91748', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cash On Delivery', 'cod', 'david', 'lee', '', '18480 arguiro st.', '', 'rowland heights', '91748', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Per Item Shipping Rate', 'item.item', '', '603.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '218.247.40.115', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.141 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-01-22 08:17:02', '2021-01-22 08:17:02', ''),
(3, 0, 'INV-2013-00', 0, 'DV Test', 'http://18.217.214.174/', 1, 1, 'david', 'lee', '1837794505@qq.com', '12345678', '', '', 'david', 'lee', '', '18480 arguiro st.', '', 'rowland heights', '91748', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cash On Delivery', 'cod', 'david', 'lee', '', '18480 arguiro st.', '', 'rowland heights', '91748', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Per Item Shipping Rate', 'item.item', '', '205.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '125.91.191.194', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.146 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-10 03:13:57', '2021-02-10 03:13:57', ''),
(4, 0, 'INV-2013-00', 0, 'DV Test', 'http://18.217.214.174/', 1, 1, 'david', 'lee', '1837794505@qq.com', '12345678', '', '', 'david', 'lee', '', '18480 arguiro st.', '', 'rowland heights', '91748', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cash On Delivery', 'cod', 'david', 'lee', '', '18480 arguiro st.', '', 'rowland heights', '91748', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Per Item Shipping Rate', 'item.item', '', '517.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.57.70', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-12 07:01:08', '2021-02-12 07:01:08', ''),
(5, 0, 'INV-2013-00', 0, 'DV Test', 'http://18.217.214.174/', 1, 1, 'david', 'lee', '1837794505@qq.com', '12345678', '', '', 'david', 'lee', '', '18480 arguiro st.', '', 'rowland heights', '91748', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cash On Delivery', 'cod', 'david', 'lee', '', '18480 arguiro st.', '', 'rowland heights', '91748', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Free Shipping', 'free.free', '', '1014.0000', 1, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '125.91.191.7', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-12 16:15:50', '2021-02-12 16:17:08', ''),
(6, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 17, 1, 'dv2', 'li', '2@aa.com', '', '', '', 'dv2', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '500.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '125.91.191.7', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-14 06:47:06', '2021-02-14 06:47:06', ''),
(7, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1500.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '125.91.191.7', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-14 08:32:17', '2021-02-14 08:32:17', ''),
(8, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cash On Delivery', 'cod', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1500.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '125.91.191.7', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-14 08:32:56', '2021-02-14 08:32:56', ''),
(9, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1206.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-14 10:30:43', '2021-02-14 10:30:43', ''),
(10, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1206.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-14 10:32:12', '2021-02-14 10:32:12', ''),
(11, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1206.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-14 10:35:07', '2021-02-14 10:35:07', ''),
(12, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1206.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-14 10:37:55', '2021-02-14 10:37:55', ''),
(13, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1206.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-14 11:00:12', '2021-02-14 11:00:12', ''),
(14, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1206.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-14 11:16:02', '2021-02-14 11:16:02', ''),
(15, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1206.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-14 14:44:57', '2021-02-14 14:44:57', ''),
(16, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1206.7000', 1, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-14 14:46:04', '2021-02-14 15:05:55', ''),
(17, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '803.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 02:29:52', '2021-02-15 02:29:52', ''),
(18, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cash On Delivery', 'cod', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '803.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 02:32:25', '2021-02-15 02:32:25', ''),
(19, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cash On Delivery', 'cod', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '803.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 02:51:47', '2021-02-15 02:51:47', ''),
(20, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cash On Delivery', 'cod', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '803.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 02:52:05', '2021-02-15 02:52:05', ''),
(21, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cash On Delivery', 'cod', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '803.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 02:52:40', '2021-02-15 02:52:40', ''),
(22, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 03:47:53', '2021-02-15 03:47:53', ''),
(23, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 04:08:52', '2021-02-15 04:08:52', ''),
(24, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 04:21:34', '2021-02-15 04:21:34', ''),
(25, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 04:25:51', '2021-02-15 04:25:51', ''),
(26, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 04:41:34', '2021-02-15 04:41:34', ''),
(27, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 04:57:31', '2021-02-15 04:57:31', ''),
(28, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 04:59:39', '2021-02-15 04:59:39', ''),
(29, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 05:00:49', '2021-02-15 05:00:49', ''),
(30, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 05:02:28', '2021-02-15 05:02:28', ''),
(31, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 05:02:53', '2021-02-15 05:02:53', ''),
(32, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 05:09:50', '2021-02-15 05:09:50', ''),
(33, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 05:15:27', '2021-02-15 05:15:27', ''),
(34, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 05:18:19', '2021-02-15 05:18:19', ''),
(35, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 05:20:29', '2021-02-15 05:20:29', ''),
(36, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 05:22:50', '2021-02-15 05:22:50', ''),
(37, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 05:23:54', '2021-02-15 05:23:54', ''),
(38, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 05:26:17', '2021-02-15 05:26:17', ''),
(39, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 05:27:19', '2021-02-15 05:27:19', ''),
(40, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 05:30:17', '2021-02-15 05:30:17', ''),
(41, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 05:31:27', '2021-02-15 05:31:27', ''),
(42, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 05:32:49', '2021-02-15 05:32:49', ''),
(43, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 05:36:14', '2021-02-15 05:36:14', ''),
(44, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 05:37:31', '2021-02-15 05:37:31', ''),
(45, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 05:38:03', '2021-02-15 05:38:03', ''),
(46, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 05:39:34', '2021-02-15 05:39:34', ''),
(47, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 05:55:20', '2021-02-15 05:55:20', ''),
(48, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 06:00:24', '2021-02-15 06:00:24', ''),
(49, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 06:03:58', '2021-02-15 06:03:58', ''),
(50, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Cheque / Money Order', 'cheque', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '702.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 06:22:59', '2021-02-15 06:22:59', ''),
(52, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '701.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 07:02:56', '2021-02-15 07:02:56', ''),
(53, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '701.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 07:09:53', '2021-02-15 07:09:53', ''),
(54, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '101.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 07:19:56', '2021-02-15 07:19:56', ''),
(55, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '101.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 07:24:23', '2021-02-15 07:24:23', ''),
(56, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '101.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 07:27:19', '2021-02-15 07:27:19', ''),
(57, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '101.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 07:31:18', '2021-02-15 07:31:18', ''),
(58, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '101.0000', 1, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 07:46:42', '2021-02-15 07:46:55', ''),
(59, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '101.0000', 1, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 08:05:27', '2021-02-15 08:05:39', ''),
(60, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '600.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 08:15:21', '2021-02-15 08:15:21', ''),
(61, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '600.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 09:59:27', '2021-02-15 09:59:27', ''),
(62, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '600.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 10:04:10', '2021-02-15 10:04:10', ''),
(63, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '600.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 10:04:19', '2021-02-15 10:04:19', ''),
(64, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '600.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 10:11:36', '2021-02-15 10:11:36', ''),
(65, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '600.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 10:15:36', '2021-02-15 10:15:36', ''),
(66, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '600.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 10:20:38', '2021-02-15 10:20:38', ''),
(67, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '600.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 10:26:13', '2021-02-15 10:26:13', ''),
(68, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '600.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 15:32:55', '2021-02-15 15:32:55', ''),
(69, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '600.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 15:34:46', '2021-02-15 15:34:46', '');
INSERT INTO `oc_order` (`order_id`, `invoice_no`, `invoice_prefix`, `store_id`, `store_name`, `store_url`, `customer_id`, `customer_group_id`, `firstname`, `lastname`, `email`, `telephone`, `fax`, `custom_field`, `payment_firstname`, `payment_lastname`, `payment_company`, `payment_address_1`, `payment_address_2`, `payment_city`, `payment_postcode`, `payment_country`, `payment_country_id`, `payment_zone`, `payment_zone_id`, `payment_address_format`, `payment_custom_field`, `payment_method`, `payment_code`, `shipping_firstname`, `shipping_lastname`, `shipping_company`, `shipping_address_1`, `shipping_address_2`, `shipping_city`, `shipping_postcode`, `shipping_country`, `shipping_country_id`, `shipping_zone`, `shipping_zone_id`, `shipping_address_format`, `shipping_custom_field`, `shipping_method`, `shipping_code`, `comment`, `total`, `order_status_id`, `affiliate_id`, `commission`, `marketing_id`, `tracking`, `language_id`, `currency_id`, `currency_code`, `currency_value`, `ip`, `forwarded_ip`, `user_agent`, `accept_language`, `date_added`, `date_modified`, `mode`) VALUES
(70, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '600.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-15 15:35:47', '2021-02-15 15:35:47', ''),
(71, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '500.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Linux; Android 9; OPPO R11 Build/PKQ1.190414.001; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/77.0.3865.120 MQQBrowser/6.2 TBS/045514 Mobile Safari/537.36 MMWEBID/6932 MicroMessenger/8.0.1.1841(0x28000158) Process/tools WeCh', 'zh-CN,zh;q=0.9,en-US;q=0.8,en;q=0.7', '2021-02-16 01:54:55', '2021-02-16 01:54:55', ''),
(72, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1000.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-16 04:31:52', '2021-02-16 04:31:52', ''),
(73, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1000.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-16 04:35:04', '2021-02-16 04:35:04', ''),
(74, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '807.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-16 04:41:40', '2021-02-16 04:41:40', ''),
(75, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '807.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-16 04:44:24', '2021-02-16 04:44:24', ''),
(76, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '807.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-16 04:54:49', '2021-02-16 04:54:49', ''),
(77, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '807.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-16 05:06:51', '2021-02-16 05:06:51', ''),
(78, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '807.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-16 05:23:01', '2021-02-16 05:23:01', ''),
(79, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '807.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-16 05:28:33', '2021-02-16 05:28:33', ''),
(80, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '807.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-16 05:29:35', '2021-02-16 05:29:35', ''),
(81, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '503.7000', 1, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-16 05:52:23', '2021-02-16 05:52:35', ''),
(82, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '0.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-16 06:14:32', '2021-02-16 06:14:32', ''),
(83, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '303.0000', 1, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-16 06:18:01', '2021-02-16 06:18:13', ''),
(84, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '303.0000', 1, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-16 06:18:24', '2021-02-16 06:18:32', ''),
(85, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '605.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '113.101.59.142', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-16 06:19:32', '2021-02-16 06:19:32', ''),
(86, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1025.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '125.91.190.98', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-17 02:19:37', '2021-02-17 02:19:37', ''),
(87, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '', '', '', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1927.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-21 01:32:41', '2021-02-21 01:32:41', ''),
(88, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1927.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-21 09:19:02', '2021-02-21 09:19:02', ''),
(89, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1927.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-21 09:20:36', '2021-02-21 09:20:36', ''),
(90, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1927.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-21 09:47:04', '2021-02-21 09:47:04', ''),
(91, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1927.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-21 10:02:13', '2021-02-21 10:02:13', ''),
(92, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1927.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-21 10:12:29', '2021-02-21 10:12:29', ''),
(93, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1927.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-21 10:16:46', '2021-02-21 10:16:46', ''),
(94, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1927.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-21 10:20:35', '2021-02-21 10:20:35', ''),
(95, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1927.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-21 10:22:20', '2021-02-21 10:22:20', ''),
(96, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1927.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-21 10:23:59', '2021-02-21 10:23:59', ''),
(97, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1927.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-21 10:28:06', '2021-02-21 10:28:06', ''),
(98, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1927.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-21 10:34:18', '2021-02-21 10:34:18', ''),
(99, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1927.7000', 1, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-21 10:40:56', '2021-02-21 10:40:59', ''),
(100, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '0.0000', 1, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-21 10:54:55', '2021-02-21 10:55:25', ''),
(101, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '0.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-21 10:57:25', '2021-02-21 10:57:25', ''),
(102, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '0.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-21 11:08:42', '2021-02-21 11:08:42', ''),
(103, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1000.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-21 11:26:17', '2021-02-21 11:26:17', ''),
(104, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1000.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-21 11:26:37', '2021-02-21 11:26:37', ''),
(105, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1000.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-21 11:27:07', '2021-02-21 11:27:07', ''),
(106, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Flat Shipping Rate', 'flat.flat', '', '1005.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-21 11:38:13', '2021-02-21 11:38:13', ''),
(107, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1500.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.182 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-22 06:42:14', '2021-02-22 06:42:14', ''),
(108, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1601.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.182 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-22 06:50:07', '2021-02-22 06:50:07', ''),
(109, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1601.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.182 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-22 07:58:06', '2021-02-22 07:58:06', ''),
(110, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '601.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '114.34.53.65', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36', 'zh-TW,zh;q=0.9,en-US;q=0.8,en;q=0.7,zh-CN;q=0.6', '2021-02-22 14:35:04', '2021-02-22 14:35:04', ''),
(111, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '500.0000', 1, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.182 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-23 11:16:45', '2021-02-23 11:32:13', ''),
(112, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '202.0000', 1, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.182 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-23 11:39:35', '2021-02-23 11:39:44', ''),
(113, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1000.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.182 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-23 11:40:44', '2021-02-23 11:40:44', ''),
(114, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1000.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.182 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-23 11:43:19', '2021-02-23 11:43:19', ''),
(115, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1000.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.182 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-23 11:56:42', '2021-02-23 11:56:42', ''),
(116, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1000.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.182 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-23 11:56:55', '2021-02-23 11:56:55', ''),
(117, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1000.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.182 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-23 11:57:24', '2021-02-23 11:57:24', ''),
(118, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1000.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.182 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-23 12:01:39', '2021-02-23 12:01:39', ''),
(119, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1000.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.182 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-23 12:02:52', '2021-02-23 12:02:52', ''),
(120, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1000.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.182 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-23 12:03:56', '2021-02-23 12:03:56', ''),
(121, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1000.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.182 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-23 13:59:39', '2021-02-23 13:59:39', ''),
(122, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1000.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.182 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-23 14:06:56', '2021-02-23 14:06:56', ''),
(123, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1000.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.182 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-23 14:15:34', '2021-02-23 14:15:34', 'cart'),
(124, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Dv Eub Shipping', 'dv_eub.dv_eub', '', '1012.8754', 1, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.116', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.182 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-23 14:17:16', '2021-02-23 14:17:19', 'depot'),
(125, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '0.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-25 09:36:45', '2021-02-25 09:36:45', 'cart'),
(126, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1206.7000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-25 09:37:26', '2021-02-25 09:37:26', 'cart'),
(127, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'YW Tracking Shipping', 'dv_yw01.dv_yw01', '', '11.0300', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-25 09:41:50', '2021-02-25 09:41:50', 'depot'),
(128, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Dv Eub Shipping', 'dv_eub.dv_eub', '', '16.2900', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-25 09:50:05', '2021-02-25 09:50:05', 'depot'),
(129, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Dv Eub Shipping', 'dv_eub.dv_eub', '', '16.2900', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-25 09:52:30', '2021-02-25 09:52:30', 'depot'),
(130, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Dv Eub Shipping', 'dv_eub.dv_eub', '', '16.2900', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-25 09:58:54', '2021-02-25 09:58:54', 'depot'),
(131, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Dv Eub Shipping', 'dv_eub.dv_eub', '', '16.2900', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-25 10:00:08', '2021-02-25 10:00:08', 'depot'),
(132, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Dv Eub Shipping', 'dv_eub.dv_eub', '', '16.2900', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-25 10:04:54', '2021-02-25 10:04:54', 'depot'),
(133, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Dv Eub Shipping', 'dv_eub.dv_eub', '', '16.2900', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-25 10:09:18', '2021-02-25 10:09:18', 'depot'),
(134, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Dv Eub Shipping', 'dv_eub.dv_eub', '', '16.2900', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-25 10:12:00', '2021-02-25 10:12:00', 'depot'),
(135, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Dv Eub Shipping', 'dv_eub.dv_eub', '', '16.2900', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-25 10:15:33', '2021-02-25 10:15:33', 'depot'),
(136, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Dv Eub Shipping', 'dv_eub.dv_eub', '', '16.2900', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-25 10:19:54', '2021-02-25 10:19:54', 'depot');
INSERT INTO `oc_order` (`order_id`, `invoice_no`, `invoice_prefix`, `store_id`, `store_name`, `store_url`, `customer_id`, `customer_group_id`, `firstname`, `lastname`, `email`, `telephone`, `fax`, `custom_field`, `payment_firstname`, `payment_lastname`, `payment_company`, `payment_address_1`, `payment_address_2`, `payment_city`, `payment_postcode`, `payment_country`, `payment_country_id`, `payment_zone`, `payment_zone_id`, `payment_address_format`, `payment_custom_field`, `payment_method`, `payment_code`, `shipping_firstname`, `shipping_lastname`, `shipping_company`, `shipping_address_1`, `shipping_address_2`, `shipping_city`, `shipping_postcode`, `shipping_country`, `shipping_country_id`, `shipping_zone`, `shipping_zone_id`, `shipping_address_format`, `shipping_custom_field`, `shipping_method`, `shipping_code`, `comment`, `total`, `order_status_id`, `affiliate_id`, `commission`, `marketing_id`, `tracking`, `language_id`, `currency_id`, `currency_code`, `currency_value`, `ip`, `forwarded_ip`, `user_agent`, `accept_language`, `date_added`, `date_modified`, `mode`) VALUES
(137, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Dv Eub Shipping', 'dv_eub.dv_eub', '', '16.2900', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-25 10:21:06', '2021-02-25 10:21:06', 'depot'),
(138, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Dv Eub Shipping', 'dv_eub.dv_eub', '', '16.2900', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-25 10:24:10', '2021-02-25 10:24:10', 'depot'),
(139, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Dv Eub Shipping', 'dv_eub.dv_eub', '', '16.2900', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-25 10:31:53', '2021-02-25 10:31:53', 'depot'),
(140, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '500.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-26 01:58:06', '2021-02-26 01:58:06', 'cart'),
(141, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '0.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-26 02:51:59', '2021-02-26 02:51:59', 'cart'),
(142, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '0.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-26 03:20:31', '2021-02-26 03:20:31', 'cart'),
(143, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '0.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-26 03:26:19', '2021-02-26 03:26:19', 'cart'),
(144, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '0.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-26 03:30:26', '2021-02-26 03:30:26', 'cart'),
(145, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '0.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-26 03:30:33', '2021-02-26 03:30:33', 'cart'),
(146, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '0.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-26 03:33:01', '2021-02-26 03:33:01', 'cart'),
(147, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'YW Tracking Shipping', 'dv_yw01.dv_yw01', '', '11.0300', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-26 04:49:28', '2021-02-26 04:49:28', 'depot'),
(148, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'YW Tracking Shipping', 'dv_yw01.dv_yw01', '', '11.0300', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-26 04:51:31', '2021-02-26 04:51:31', 'depot'),
(149, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'YW Tracking Shipping', 'dv_yw01.dv_yw01', '', '11.0300', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-26 04:54:16', '2021-02-26 04:54:16', 'depot'),
(150, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'YW Tracking Shipping', 'dv_yw01.dv_yw01', '', '11.0300', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '27.44.52.88', '', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.190 Safari/537.36', 'zh,zh-TW;q=0.9,zh-CN;q=0.8,en-US;q=0.7,en;q=0.6', '2021-02-26 04:54:29', '2021-02-26 04:54:29', 'depot'),
(151, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '0.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '14.221.175.237', '', 'Mozilla/5.0 (Linux; U; Android 4.4.2; zh-cn; GT-N5100 Build/KOT49H) AppleWebKit/534.30 (KHTML, like Gecko) Version/4.0 Safari/534.30', 'zh-CN, en-US', '2021-03-01 06:07:39', '2021-03-01 06:07:39', 'cart'),
(152, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Dv Eub Shipping', 'dv_eub.dv_eub', '', '1723.7700', 0, 0, '0.0000', 0, '', 2, 2, 'USD', '1.00000000', '14.221.174.240', '', 'Mozilla/5.0 (Linux; U; Android 4.4.2; zh-cn; GT-N5100 Build/KOT49H) AppleWebKit/534.30 (KHTML, like Gecko) Version/4.0 Safari/534.30', 'zh-CN, en-US', '2021-03-01 07:18:45', '2021-03-01 07:18:45', 'depot'),
(153, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'YW Tracking Shipping', 'dv_yw01.dv_yw01', '', '1718.1700', 0, 0, '0.0000', 0, '', 2, 2, 'USD', '1.00000000', '14.221.175.237', '', 'Mozilla/5.0 (Linux; U; Android 4.4.2; zh-cn; GT-N5100 Build/KOT49H) AppleWebKit/534.30 (KHTML, like Gecko) Version/4.0 Safari/534.30', 'zh-CN, en-US', '2021-03-01 07:23:11', '2021-03-01 07:23:11', 'depot'),
(154, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'YW Tracking Shipping', 'dv_yw01.dv_yw01', '', '1718.1700', 0, 0, '0.0000', 0, '', 2, 2, 'USD', '1.00000000', '14.221.174.240', '', 'Mozilla/5.0 (Linux; U; Android 4.4.2; zh-cn; GT-N5100 Build/KOT49H) AppleWebKit/534.30 (KHTML, like Gecko) Version/4.0 Safari/534.30', 'zh-CN, en-US', '2021-03-01 07:57:46', '2021-03-01 07:57:46', 'depot'),
(155, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Dv Eub Shipping', 'dv_eub.dv_eub', '', '1723.7700', 0, 0, '0.0000', 0, '', 2, 2, 'USD', '1.00000000', '14.221.175.237', '', 'Mozilla/5.0 (Linux; U; Android 4.4.2; zh-cn; GT-N5100 Build/KOT49H) AppleWebKit/534.30 (KHTML, like Gecko) Version/4.0 Safari/534.30', 'zh-CN, en-US', '2021-03-01 07:59:15', '2021-03-01 07:59:15', 'depot'),
(156, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', 'Dv Eub Shipping', 'dv_eub.dv_eub', '', '1723.7700', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '14.221.175.237', '', 'Mozilla/5.0 (Linux; U; Android 4.4.2; zh-cn; GT-N5100 Build/KOT49H) AppleWebKit/534.30 (KHTML, like Gecko) Version/4.0 Safari/534.30', 'zh-CN, en-US', '2021-03-01 07:59:36', '2021-03-01 07:59:36', 'depot'),
(157, 0, 'INV-2021', 0, 'DV Test', 'http://18.217.214.174/', 14, 1, 'dv', 'li', '1@aa.com', '6262345678', '', '', 'dv', 'li', '', '100 magic st.', '', 'aaa', '', 'United States', 223, 'California', 3624, '{firstname} {lastname}\r\n{company}\r\n{address_1}\r\n{address_2}\r\n{city}, {zone} {postcode}\r\n{country}', '[]', '', '', '', '', '', '', '', '', '', '', 0, '', 0, '', '[]', '', '', '', '1702.0000', 0, 0, '0.0000', 0, '', 1, 2, 'USD', '1.00000000', '14.221.174.240', '', 'Mozilla/5.0 (Linux; U; Android 4.4.2; zh-cn; GT-N5100 Build/KOT49H) AppleWebKit/534.30 (KHTML, like Gecko) Version/4.0 Safari/534.30', 'zh-CN, en-US', '2021-03-01 08:55:03', '2021-03-01 08:55:03', 'cart');
